/*****************************************************************************
*
* Emrah Akin Sisbot
* Aug 10 
*
* File : sparkOro.h
* Brief: This file contains structures and functions for SPARK - Ontology link
*
******************************************************************************/

#ifndef SPARKORO_H
#define SPARKORO_H

#ifdef ORO

extern int connectOro (char *host, char *port);
extern int updateObject (SPARK_OBJECT_STATE * objectState, SPARK_OBJECT_STATE * previousState);
extern int sendToORO(GEN_STRING64 address, GEN_STRING64 port);
extern int sendReachabilitiesToORO(SPARK_ALL_REACHABILITIES *reachabilities, GEN_STRING64 address, GEN_STRING64 port);
extern int updateAgentPosture(HRI_AGENT * agent, int agent_i, SPARK_HUMAN_STATE_ENUM state);
extern int updateAgentSp(int agent_i, HRI_AGENT * tagent, SPARK_SPATIAL_RELATION spatialRelation);
extern int updateAgentAgentVisibility(HRI_AGENT * agent, int agent_i, HRI_AGENT * tagent, SPARK_VISIBILITY_PLACEMENT vispl, SPARK_VISIBILITY vis);
extern int prepareFactsForORO(HRI_AGENTS * agents, HRI_ENTITIES * ents);
#endif

#endif
